> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get domain by ID

> Returns a specific domain by ID.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['content']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/domains-v1.json GET /cos-domains/v1/domains/{domainId}
openapi: 3.0.1
info:
  title: Domains API
  description: >-
    Use the domains API to retrieve domain information and manage website
    domains in HubSpot.
  version: v1
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Domains
paths:
  /cos-domains/v1/domains/{domainId}:
    get:
      tags:
        - Domains
      summary: Get domain by ID
      description: Returns a specific domain by ID.
      operationId: getDomainById
      parameters:
        - name: domainId
          in: path
          description: The ID of the domain
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Domain ID
                  domain:
                    type: string
                    description: Domain name
                  primaryLandingPage:
                    type: boolean
                    description: Is primary landing page domain
                  primaryEmail:
                    type: boolean
                    description: Is primary email domain
                  primaryBlog:
                    type: boolean
                    description: Is primary blog domain
                  primarySitePage:
                    type: boolean
                    description: Is primary site page domain
                  primaryKnowledge:
                    type: boolean
                    description: Is primary knowledge base domain
                  manuallyMarkedAsResolving:
                    type: boolean
                    description: Manually marked as resolving
                  isResolving:
                    type: boolean
                    description: Is domain resolving
                  created:
                    type: integer
                    description: Creation timestamp
                  updated:
                    type: integer
                    description: Last updated timestamp
                  isUsingHttps:
                    type: boolean
                    description: Is using HTTPS
                  sslRequestId:
                    type: string
                    description: SSL request ID
                  usedFor:
                    type: string
                    description: What the domain is used for
              examples:
                domain_by_id:
                  summary: Get domain by ID 1234567
                  value:
                    id: '1234567'
                    domain: demo-hubapi.hs-sites.com
                    primaryLandingPage: true
                    primaryEmail: false
                    primaryBlog: true
                    primarySitePage: true
                    primaryKnowledge: false
                    manuallyMarkedAsResolving: false
                    isResolving: true
                    created: 1482867600000
                    updated: 1482867600000
                    isUsingHttps: true
                    sslRequestId: ssl-123456
                    usedFor: LANDING_PAGE

````